Subject: Re: [PATCH net-next 2/3] bonding: ratelimit pr_err() for bond xmit broadcast

From: Ding Tianhong <[email-masked]>
Date: Tue, 25 Mar 2014 16:12:43 +0800

On 2014/3/25 15:19, Joe Perches wrote:
> On Tue, 2014-03-25 at 15:03 +0800, Ding Tianhong wrote:
>> It may spam if the system is out of the memory, add ratelimit for it.
> 
> Sorry, I didn't follow whatever discussion occurred here.
> 
> I thought you were going to use net_err_ratelimited
> for these?
> 
>> diff --git a/drivers/net/bonding/bond_main.c b/drivers/net/bonding/bond_main.c
> []
>> @@ -3656,8 +3656,8 @@ static int bond_xmit_broadcast(struct sk_buff *skb, struct net_device *bond_dev)
>> -				pr_err("%s: Error: bond_xmit_broadcast(): skb_clone() failed\n",
>> -				       bond_dev->name);
>> +				pr_err_ratelimited("%s: Error: bond_xmit_broadcast(): skb_clone() failed\n",
>> +						   bond_dev->name);
> 
> also btw, it's better I think to use
> %s, __func__ instead of embedding
> explicit function names
> 
> 
> 
Yes, maybe I still didn't clear when to use net_err_ratelimited, thanks.

Ding